--- ./projects/libcxx/CMakeLists.txt
+++ ./projects/libcxx/CMakeLists.txt
@@ -738,6 +738,10 @@ function(cxx_link_system_libraries target)
     target_link_libraries(${target} PRIVATE System)
   endif()
 
+  if (APPLE AND CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS 10.6)
+    target_link_libraries(${target} PRIVATE gcc_s.1)
+  endif()
+
   if (LIBCXX_HAS_PTHREAD_LIB)
     target_link_libraries(${target} PRIVATE pthread)
   endif()
--- ./projects/libcxxabi/src/CMakeLists.txt
+++ ./projects/libcxxabi/src/CMakeLists.txt
@@ -65,6 +65,9 @@ endif()
 
 if (APPLE)
   add_library_flags_if(LIBCXXABI_HAS_SYSTEM_LIB System)
+  if (CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS 10.6)
+    add_library_flags(gcc_s.1)
+  endif()
 else()
   if (LIBCXXABI_ENABLE_THREADS)
     add_library_flags_if(LIBCXXABI_HAS_PTHREAD_LIB pthread)
